#ifndef __SOURCE4_TORTURE_RAP_PROTO_H__
#define __SOURCE4_TORTURE_RAP_PROTO_H__

#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2) PRINTF_ATTRIBUTE(a1, a2)
/* This file was automatically generated by mkproto.pl. DO NOT EDIT */

/* this file contains prototypes for functions that are private 
 * to this subsystem or library. These functions should not be 
 * used outside this particular subsystem! */


/* The following definitions come from ../../source4/torture/rap/rap.c  */

bool torture_rap_scan(struct torture_context *torture, struct smbcli_state *cli);
NTSTATUS torture_rap_init(TALLOC_CTX *ctx);

/* The following definitions come from ../../source4/torture/rap/rpc.c  */

struct torture_suite *torture_rap_rpc(TALLOC_CTX *mem_ctx);

/* The following definitions come from ../../source4/torture/rap/printing.c  */

struct torture_suite *torture_rap_printing(TALLOC_CTX *mem_ctx);

/* The following definitions come from ../../source4/torture/rap/sam.c  */

struct torture_suite *torture_rap_sam(TALLOC_CTX *mem_ctx);
#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2)

#endif /* __SOURCE4_TORTURE_RAP_PROTO_H__ */

